DEPRECATED Use `com.bea.wlw.netui.pageflow.PageFlowActionServlet``` instead.

# com.bea.wlw.netui.pageflow
DynamicSubappActionServlet Class

public class DynamicSubappActionServlet
extends `com.bea.wlw.netui.pageflow.PageFlowActionServlet`

ActionServlet that dynamically registers modules based on naming/location conventions for Struts configuration files that are generated by the Page Flow compiler. These files are located in /WEB-INF/.pageflow-struts-generated, and are named jpf-struts-config-module-name.xml. The user may specify additional `` classes in web.xml, using the "moduleConfigLocators" init-parameter; this allows the user to define other patterns for auto-registered Struts modules.

Hierarchy
  `Object`
  `GenericServlet`
  `HttpServlet`
  `ActionServlet`
  `com.bea.wlw.netui.pageflow.AutoRegisterActionServlet`
  `com.bea.wlw.netui.pageflow.PageFlowActionServlet`
  `DynamicSubappActionServlet`

All Implemented Interfaces
  `Serializable`, `Servlet`, `ServletConfig`

## Nested Class Summary

Nested classes from com.bea.wlw.netui.pageflow`.`com.bea.wlw.netui.pageflow.PageFlowActionServlet``
``PageFlowActionServlet.DefaultModuleConfigLocator`, `PageFlowActionServlet.LegacyModuleConfigLocator``

Nested classes from com.bea.wlw.netui.pageflow`.`com.bea.wlw.netui.pageflow.AutoRegisterActionServlet``
``AutoRegisterActionServlet.ModuleConfigLocator``

## Field Summary

Fields from com.bea.wlw.netui.pageflow`.`com.bea.wlw.netui.pageflow.AutoRegisterActionServlet``
``MODULE_CONFIG_LOCATOR_CLASS_ATTR``

Fields from org.apache.struts.action`.`ActionServlet``
`config, configDigester, convertNull, dataSources, debug, internal, internalName, log, processor, registrations, servletMapping, servletName`

## Constructor Summary

DynamicSubappActionServlet()

## Method Summary

Methods from `com.bea.wlw.netui.pageflow.`com.bea.wlw.netui.pageflow.PageFlowActionServlet``
``getDefaultModuleConfigLocators`, `getModuleConfPath`, `init`, `process`,`

Methods from `com.bea.wlw.netui.pageflow.`com.bea.wlw.netui.pageflow.AutoRegisterActionServlet``
``destroy`, `getDefaultModuleConfigLocators`, `getInitParameter`, `getInitParameterNames`, `getModuleConfig`, `getModuleConfigLocators`, `getModuleConfPath`, `init`, `init`, `process`, `registerModule`,`

Methods from `org.apache.struts.action.`ActionServlet``
`addServletMapping, destroy, destroyApplications, destroyConfigDigester, destroyDataSources, destroyInternal, destroyModules, doGet, doPost, findDataSource, findFormBean, findForward, findMapping, getApplicationConfig, getDebug, getInternal, getModuleConfig, getRequestProcessor, getResources, init, initApplicationConfig, initApplicationDataSources, initApplicationMessageResources, initApplicationPlugIns, initConfigDigester, initDataSources, initInternal, initModuleConfig, initModuleDataSources, initModuleMessageResources, initModulePlugIns, initOther, initServlet, log, process`

Methods from `javax.servlet.http.`HttpServlet``
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods from `javax.servlet.`GenericServlet``
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log, service`

Methods from class `java.lang.`Object``
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods from interface `javax.servlet.`Servlet``
`destroy, getServletConfig, getServletInfo, init, service`

Methods from interface `javax.servlet.`ServletConfig``
`getInitParameter, getInitParameterNames, getServletContext, getServletName`

## Constructor Detail

### DynamicSubappActionServlet

    public DynamicSubappActionServlet()